#!/bin/bash

function showError() {
    echo '{"success":false, "mesage": "'$1'"}'
}

# 判断 inputFile 环境是否为空
if [ -z "$inputFile" ]; then
    showError "inputFile is empty"
    exit 0
fi

# 判断 inputFile 文件是否存在
if [ ! -f "$inputFile" ]; then
    showError "inputFile is not exist"
    exit 0
fi

destDir=$TMPDIR"flomi.iconset"

# 判断 custom 有值且为 "true"
if [ "$custom" = "true" ]; then
    if [ ! -z "$outputDir" ]; then
        destDir=$outputDir
    fi
fi

# 判断 outputDir 目录是否存在
if [ -d "$destDir" ]; then
    rm -rf $destDir
fi
mkdir -p $destDir

# 生成 iconset
if [ "$c16" = "true" ]; then
    sips -z 16 16 $inputFile --out $destDir/icon_16x16.png > /dev/null
fi
if [ "$c16x2" = "true" ]; then
    sips -z 32 32 $inputFile --out $destDir/icon_16x16@2x.png > /dev/null
fi
if [ "$c32" = "true" ]; then
    sips -z 32 32 $inputFile --out $destDir/icon_32x32.png > /dev/null
fi
if [ "$c32x2" = "true" ]; then
    sips -z 64 64 $inputFile --out $destDir/icon_32x32@2x.png > /dev/null
fi
if [ "$c64" = "true" ]; then
    sips -z 64 64 $inputFile --out $destDir/icon_64x64.png > /dev/null
fi
if [ "$c64x2" = "true" ]; then
    sips -z 128 128 $inputFile --out $destDir/icon_64x64@2x.png > /dev/null
fi
if [ "$c128" = "true" ]; then
    sips -z 128 128 $inputFile --out $destDir/icon_128x128.png > /dev/null
fi
if [ "$c128x2" = "true" ]; then
    sips -z 256 256 $inputFile --out $destDir/icon_128x128@2x.png > /dev/null
fi
if [ "$c256" = "true" ]; then
    sips -z 256 256 $inputFile --out $destDir/icon_256x256.png > /dev/null
fi
if [ "$c256x2" = "true" ]; then
    sips -z 512 512 $inputFile --out $destDir/icon_256x256@2x.png > /dev/null
fi
if [ "$c512" = "true" ]; then
    sips -z 512 512 $inputFile --out $destDir/icon_512x512.png > /dev/null
fi
if [ "$c512x2" = "true" ]; then
    sips -z 1024 1024 $inputFile --out $destDir/icon_512x512@2x.png > /dev/null
fi

echo '{"success":true, "outputs": {"outputDir": "'$destDir'"}}'

